New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Export in LMMS (> 1.0.0) is not working with active ru.qm locale #1496

Closed
megakott opened this Issue Dec 24, 2014 · 6 comments

Comments

Projects
None yet
4 participants
@megakott

megakott commented Dec 24, 2014

Export in LMMS is not working with active ru.qm locale, i.e. for almost all installations in russian.

Affected versions: 1.0.1, 1.0.2, 1.0.3, ..., 1.1.0 (true for Windows, not sure for Linux)

Steps to reproduce:
1.) Take russian installation or emulate it. To emulate, replace file LMMS/data/locale/en.qm with file ru.qm from the same folder
2.) Try to export any LMMS project. Eternal 0%, LMMS hangs and may be shutdown only through task manager.

Possible workarounds for exporting from russian installations:

  • Either take data/locale/ru.qm from 1.0.0 LMMS distrubution
  • Or copy data/locale/en.qm into ru.qm

Aleksandr Kotov,
invisible member of Russian LMMS community :)

@tresf tresf added the bug label Dec 24, 2014

@tresf tresf modified the milestones: 1.2.0, 1.1.0 Dec 24, 2014

@badosu

This comment has been minimized.

Show comment
Hide comment
@badosu

badosu Dec 26, 2014

Contributor

I was able to reproduce this bug on 9e4db14 for Linux 64-bit.

Contributor

badosu commented Dec 26, 2014

I was able to reproduce this bug on 9e4db14 for Linux 64-bit.

@ryukusu

This comment has been minimized.

Show comment
Hide comment
@ryukusu

ryukusu Jan 2, 2015

Yes, it affects linux version. At least 1.1.0 compiled from sources.
There is an error in the terminal:


Mode initialization failed: invalid parameters for bitrate


If you replace ru.qm to en.qm project exported.
I think it's related with localization, because if you have russian language, you first letters in English for the menu items then russian localization.
Also I replace ru.qm from the previous version(for example 1.0.0) everything works again. :)

ryukusu commented Jan 2, 2015

Yes, it affects linux version. At least 1.1.0 compiled from sources.
There is an error in the terminal:


Mode initialization failed: invalid parameters for bitrate


If you replace ru.qm to en.qm project exported.
I think it's related with localization, because if you have russian language, you first letters in English for the menu items then russian localization.
Also I replace ru.qm from the previous version(for example 1.0.0) everything works again. :)

@badosu

This comment has been minimized.

Show comment
Hide comment
@badosu

badosu Jan 2, 2015

Contributor

I traced the bug is going as far back as 2da7804...

Contributor

badosu commented Jan 2, 2015

I traced the bug is going as far back as 2da7804...

@tresf

This comment has been minimized.

Show comment
Hide comment
@tresf

tresf Jan 2, 2015

Member

@DanWin great find (#1542)!

Member

tresf commented Jan 2, 2015

@DanWin great find (#1542)!

@badosu

This comment has been minimized.

Show comment
Hide comment
@badosu

badosu Jan 6, 2015

Contributor

@megakott @tresf Can we close this issue?

Contributor

badosu commented Jan 6, 2015

@megakott @tresf Can we close this issue?

@tresf

This comment has been minimized.

Show comment
Hide comment
@tresf

tresf Jan 7, 2015

Member

👍

Member

tresf commented Jan 7, 2015

👍

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment